#!/bin/bash
PRODUCTNAME="amiserv5"
TMPDIR="/tmp/amiserv5"
INSTALLDIR="/usr/share"
IPCDIR="/etc/ipconnect"
OLDVERSION=-1
NEWVERSION=-1
MAJORVERSION=5

mkdir -p "$TMPDIR"
mkdir -p "$IPCDIR"

echo "-- Backuping some files"
if [ -e "$INSTALLDIR/$PRODUCTNAME/Config.txt" ]
then
	mv -f "$INSTALLDIR/$PRODUCTNAME/Config.txt" "$TMPDIR/Config.txt.old"
fi
if [ -e "$INSTALLDIR/$PRODUCTNAME/AmiServ5Service.exe.config" ]
then
	mv -f "$INSTALLDIR/$PRODUCTNAME/AmiServ5Service.exe.config" "$TMPDIR/AmiServ5Service.exe.config.old"
fi

systemctl stop amiserv5
exit